# std::_Weak_result_type_impl< _Res(_Class::*)(_ArgTypes...)> Struct Template Reference

List of all members.

## Detailed Description

### template<typename _Res, typename _Class, typename... _ArgTypes>
struct std::_Weak_result_type_impl< _Res(_Class::*)(_ArgTypes...)>

Retrieve result type for a member function pointer.

Definition at line 117 of file tr1_impl/functional.

## Public Types

- typedef _Res result_type

The documentation for this struct was generated from the following file:

- tr1_impl/functional